Skip to main content

News

News tools are available on the Voxvey MCP endpoint and return structured article records from supported Google News RSS feeds.

POST /v1/mcp

Tools

ToolPurpose
news_get_top_storiesGet top stories for a supported category
news_searchSearch Google News RSS
news_get_feedFetch a supported Google News RSS feed URL

Search news

curl https://api.voxvey.com/v1/mcp \
-H "Authorization: Bearer $VOXVEY_TOKEN" \
-H "Content-Type: application/json" \
-H "Accept: application/json, text/event-stream" \
-d '{
"jsonrpc": "2.0",
"id": 31,
"method": "tools/call",
"params": {
"name": "news_search",
"arguments": {
"query": "developer APIs",
"limit": 3
}
}
}'
{
"result": {
"content": [
{
"type": "text",
"text": "{\"provider\":\"google_news_rss\",\"query\":\"developer APIs\",\"articles\":[{\"title\":\"API platform update\",\"link\":\"https://news.example.com/story\",\"published\":\"Sat, 06 Jun 2026 00:00:00 GMT\",\"source\":\"Example News\"}]}"
}
]
},
"jsonrpc": "2.0",
"id": 31
}

Top stories

Use news_get_top_stories with category: "top" for the default top-story feed.